#
# Start Eisoo AnyBackup 3.5 client service .
#
PLATFORM=`uname`

#
# If AnyBackupClientEngine has been started, exit directly.
#
echo ""
echo "Detect AnyBackup Client service whether has been started..."

if test ! "$PLATFORM" = "Linux"
then
	LD_LIBRARY_PATH=$PWD
	export LD_LIBRARY_PATH
	LIBPATH=$PWD
	export LIBPATH
	PATH=$PATH:$ORACLE_HOME/bin
	export PATH
	MOZILLA_FIVE_HOME=$LD_LIBRARY_PATH
	export MOZILLA_FIVE_HOME
	HOME=$LD_LIBRARY_PATH
	export HOME
	if (test ! -r /var/run)
	then
  	mkdir /var/run
  fi
  chmod -R 777 /var/run/
   	
	if test "$ORA_ENV" = ""
	then
		echo 
	else
		{ORA_ENV}
	fi
	
	if test "$ORA_PATH" = ""
	then
		echo
	else
		{ORA_PATH}	
	fi
		
	if test "$PLATFORM" = "SunOS"
	then
		PROCESS_NAME=`ps -a | grep clienteng`
	else
	if test "$PLATFORM" = "AIX"
	then
		PROCESS_NAME=`ps -A | grep clienteng`
	else
		PROCESS_NAME=`ps -e | grep clienteng`
	fi
	fi
	
	if test "$PROCESS_NAME" != ""
	then
		echo "AnyBackup Client service already be started."
	else
		echo "AnyBackup Client service still not be started."
		echo "Start AnyBackup Client service..."
		./clienteng &
	fi
else
	#
	# Check client whether has been installed.
	#
	if test ! -e /usr/local/AnyBackupClientEngine
	then 
		echo ""
		echo "The current system still not install AnyBackup Client. "
		echo "Start request aborted."
		echo ""
		exit 1
	fi

	PROCESS_NAME=`pstree | grep clienteng`

	if test -s AnyBackupClientEngine.pid -a -n "$PROCESS_NAME"
	then
		echo "AnyBackup Client service already be started."
	else
		echo "AnyBackup Client service still not be started."
		echo "Start AnyBackup Client service..."
		service AnyBackupClientEngine start
	
		if (test ! "$?" = "0") 
		then
			echo "Unable to start AnyBackup Client service."
		else
			echo "AnyBackup Client service has been started successfully."
		fi
	fi
fi

echo ""

